import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'sourceType'
})
export class SourceTypePipe implements PipeTransform {

    transform(value: number): string {
        switch (value) {
            case 1:
                return '金额充值';
            case 2:
                return '订单退款';
            case 3:
                return '话费消费';
        }
    }
}
